<?php
// Contact form processing
$name_error = '';
$telefon_error = '';
$email_error = '';
$person_error = '';
$tarih_error = '';
$captcha_error = '';

//Add user
if ( isset($_REQUEST['action']) && 'adduser' == $_REQUEST['action'] ) {
		//check name
	if(trim($_REQUEST['c_name'] == "")){
		//it's empty
		
		$name_error = __('İsminizi yazmadınız', 'framework');
		$error = true;
	}else{
		//its ok
		$c_name = trim($_REQUEST['c_name']);
	}
	
	//check telefon
	if(trim($_REQUEST['c_telefon'] == "")){
		//it's empty
		
		$telefon_error = __('Telefon yazmadınız', 'framework');
		$error = true;
	}else{
		//its ok
		$c_telefon = trim($_REQUEST['c_telefon']);
	}
	
	
	//check email
	if(trim($_REQUEST['c_email'] === "")){
		//it's empty
		$email_error = __('Mail yazmadınız', 'framework');
		$error = true;
	}else if(!is_email( trim($_REQUEST['c_email'] ) )){
		//it's wrong format
		$email_error = __('Hatalı email biçimi', 'framework');
		$error = true;
	}else{
		//it's ok
		$c_email = trim($_REQUEST['c_email']);
	}
	

	//check person
	if(trim($_REQUEST['c_person'] === "")){
		//it's empty
		$person_error = __('Kişi sayısı girmediniz', 'framework');
		$error = true;
	}else{
		//it's ok
		$c_person = trim($_REQUEST['c_person']);
	}
	
		//check tarih
	if(trim($_REQUEST['c_tarih'] === "")){
		//it's empty
		$tarih_error = __('Tarihi belirtmediniz', 'framework');
		$error = true;
	}else{
		//it's ok
		$c_tarih = trim($_REQUEST['c_tarih']);
	}
	
	
	//If not isset -> set with dumy value 
	$_REQUEST['c_submitted'] = ""; 
	$_REQUEST['c_name'] = "";
	$_REQUEST['c_telefon'] = "";
	$_REQUEST['c_email'] = "";
	$_REQUEST['c_person'] = "";
	$_REQUEST['c_tarih'] = "";
	$error= "";
	$file_name = "";	
	
	if ( $_POST['c_name']=="" || $_POST['c_telefon']=="" || $_POST['c_email']=="" || $_POST['c_person']=="" || $_POST['c_tarih']=="") 
	{
		$error .=   __(' <b>HATA: </b> Tüm alanları doldurmalısınız!<br>','qa'); 
	}

	if(($_SESSION['security_code'] == $_POST['sec_code']) && (!empty($_SESSION['security_code'])) ) {
		unset($_SESSION['security_code']);		
	}
	else {
		$error .=   __(' <b>HATA:</b> Güvenlik kodu yanlış<br>','qa'); 
	}
	
	//if no errors occured
	if($error != true) {

		$email_to = get_option('of_mail_address');
		if (!isset($email_to) || ($email_to == '') ){
			$email_to = get_option('admin_email');
		}
		$c_subject = __('Masa rezervasyonu icin mesaj', 'framework');
		$message_body = "Name: $c_name \n\nTelefon: $c_telefon \n\nEmail: $c_email \n\nKişi Sayısı: $c_person \n\nTarih: $c_tarih";
		$headers = 'Kimden: '.get_bloginfo('name').' <'.$c_email.'>';

		wp_mail($email_to, $c_subject, $message_body, $headers);

		$email_sent = true;
	}
}
?>