function navSlide() {
    const burger = document.querySelector(".burger");
    const nav = document.querySelector(".mobile-menu");
    const navLinks = document.querySelectorAll(".mobile-menu li");
    
    burger.addEventListener("click", () => {
        //Toggle Nav
        nav.classList.toggle("nav-active");
        
        //Animate Links
        navLinks.forEach((link, index) => {
            if (link.style.animation) {
                link.style.animation = ""
            } else {
                link.style.animation = `navLinkFade 0.5s ease forwards ${index / 7 + 0.5}s`;
            }
        });
        //Burger Animation
        burger.classList.toggle("toggle");
    });
    
}
navSlide();
// ======================================================================= Namespace
var sullivan = sullivan || {},
$ = jQuery;

// =======================================================================  Fancy Number Inputs

sullivan.fancyNumberInputs = {

	init: function(){

		// Add the extra markup
		sullivan.fancyNumberInputs.addQuantityMarkup();

		// Loop through all quantity elements and set up our variables
		sullivan.fancyNumberInputs.handleQuantityElements();

		// Add the quantity markup back and rerun the handling when WC fragments have been refreshed
		$( 'body' ).on( 'wc_fragments_refreshed', function(){
			sullivan.fancyNumberInputs.addQuantityMarkup();
			sullivan.fancyNumberInputs.handleQuantityElements();
		} );

	},

	// Add the extra markup
	addQuantityMarkup: function() {
		$( '<div class="quantity-nav"><div class="quantity-button quantity-up"></div><div class="quantity-button quantity-down"></div></div>' ).insertAfter( '.quantity input' );
	},

	// Loop through all quantity elements and set up our variables
	handleQuantityElements: function() {

		$( '.quantity' ).each( function() {
			var $spinner = $( this ),
				$input = $spinner.find( 'input[type="number"]' ),
				inputVal = parseFloat( $input.val() ),
				$btnUp = $spinner.find( '.quantity-up' ),
				$btnDown = $spinner.find( '.quantity-down' ),
				min = $input.attr( 'min' ) ? $input.attr( 'min' ) : 1,
				max = $input.attr( 'max' ) ? $input.attr( 'max' ) : 99999;

			if ( inputVal >= max ) { $btnUp.addClass( 'disabled' ); }
			if ( inputVal <= min ) { $btnDown.addClass( 'disabled' ); }

			$input.on( 'change blur', function(){

				var newVal = parseFloat( $( this ).val() );

				if ( ! $( 'body' ).hasClass( 'woocommerce-cart' ) && ( ! newVal || newVal <= 0 ) ) {
					$( this ).val( 1 );
					newVal = 1;
				}

				if ( newVal >= max ) {
					$btnUp.addClass( 'disabled' );
					$( this ).val( max );
				} else if ( newVal <= min ) {
					$btnDown.addClass( 'disabled' );
				} else {
					$btnUp.add( $btnDown ).removeClass( 'disabled' );
				}

			} );

			// Update quantity on increase click
			$btnUp.on( 'click', function() {
				var oldValue = parseFloat( $input.val() );
				if ( oldValue >= max ) {
					var newVal = oldValue;
				} else {
					var newVal = oldValue + 1;
					$btnDown.removeClass( 'disabled' );
				}
				$spinner.find( 'input' ).val( newVal );
				$spinner.find( 'input' ).trigger( 'change' );
			} );

			// Update quantity on decrease click
			$btnDown.on( 'click', function() {
				var oldValue = parseFloat( $input.val() );
				if ( oldValue <= min ) {
					var newVal = oldValue;
				} else {
					var newVal = oldValue - 1;
					$btnUp.removeClass( 'disabled' );
				}
				$spinner.find( 'input' ).val( newVal );
				$spinner.find( 'input' ).trigger( 'change' );
			} );

		} );

	}

}
// enterasan: fancy silinince isotope çalışmıyor

// ======================================================================= Function calls
$( document ).ready( function( ) {

	
	sullivan.fancyNumberInputs.init();					// Make the number inputs fancy
	
} );

// isotope js
$(window).on('load', function () {
    $('.filters_menu li').click(function () {
        $('.filters_menu li').removeClass('active');
        $(this).addClass('active');

        var data = $(this).attr('data-filter');
        $grid.isotope({
            filter: data
        })
    });

    var $grid = $(".grid").isotope({
        itemSelector: ".all",
        percentPosition: false,
        masonry: {
            columnWidth: ".all"
        }
    })
});
jQuery(document).ready(function($) {
"use strict";

  	// Fly-Out Navigation
	$(".mvp-fly-but-click").on('click', function(){
		$("#mvp-fly-wrap").toggleClass("mvp-fly-menu");
  		$(".mvp-fly-but-wrap").toggleClass("mvp-fly-open");
  		$(".mvp-fly-fade").toggleClass("mvp-fly-fade-trans");
	});


 	// Search Toggle
 	$(".mvp-search-click").on('click', function(){
 	  $("#mvp-search-wrap").toggleClass("mvp-search-toggle");
  	});
});
// to get current year
function getYear() {
    var currentDate = new Date();
    var currentYear = currentDate.getFullYear();
    document.querySelector("#displayYear").innerHTML = currentYear;
}
getYear();
