<?php
/**
 * The template for displaying all single posts.
 *
 * @package Clean Blog
 */

get_header(); ?>

					  <!-- Main Content -->
  <div id="post-content" class="coll-full page-and-single">
      <section id="main" class="fl">

		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
			<div class="entry">
			<h1 class="post_title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
		<div class="entry-meta">
			<?php cleanblog_posted_on(); ?><span class="icon-eye">
			<i class="fa fa-eye"></i>
                                 <?php $views = pietergoosen_get_post_views(get_the_ID());
                                  if(pietergoosen_get_post_views(get_the_ID()) == 1) {  
                                   printf( __( '%d', 'pietergoosen' ) , $views );
                                    } else {  
                                    printf( __( '%d', 'pietergoosen' ) , $views );  
                                       }  
                                       ?>
			</span>
		</div><!-- .entry-meta -->

			<?php get_template_part( 'template-parts/content', 'single' ); ?>
			</div>
			<div class="entry-content">
		<?php
			wp_link_pages( array( 
				'before'            => '<div class="page-links">'.__( 'Pages:', 'rootstrap' ),
				'after'             => '</div>',
				'link_before'       => '<span>',
				'link_after'        => '</span>',
				'pagelink'          => '%',
				'echo'              => 1 
       		) );
    	?>
	</div><!-- .entry-content -->
	
	<nav class="nav-single">
                <span class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&laquo;', 'Previous post link', 'wpforge' ) . '</span> %title' ); ?></span>
                <span class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&raquo;', 'Next post link', 'wpforge' ) . '</span>' ); ?></span>
            </nav><!-- .nav-single -->

	<footer class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$category_list = get_the_category_list( __( ', ', 'rootstrap' ) );

			/* translators: used between list items, there is a space after the comma */
			$tag_list = get_the_tag_list( '', __( ', ', 'rootstrap' ) );

			if ( ! rootstrap_categorized_blog() ) {
				// This blog only has 1 category so we just need to worry about tags in the meta text
				if ( '' != $tag_list ) {
					$meta_text = '<i class="fa fa-folder-open-o"></i> %2$s. <i class="fa fa-link"></i> <a href="%3$s" rel="bookmark">permalink</a>.';
				} else {
					$meta_text = '<i class="fa fa-link"></i> <a href="%3$s" rel="bookmark">permalink</a>.';
				}

			} else {
				// But this blog has loads of categories so we should probably display them here
				if ( '' != $tag_list ) {
					$meta_text = '<i class="fa fa-folder-open-o"></i> %1$s <i class="fa fa-tags"></i> %2$s. <i class="fa fa-link"></i> <a href="%3$s" rel="bookmark">permalink</a>.';
				} else {
					$meta_text = '<i class="fa fa-folder-open-o"></i> %1$s. <i class="fa fa-link"></i> <a href="%3$s" rel="bookmark">permalink</a>.';
				}

			} // end check for categories on this blog

			printf(
				$meta_text,
				$category_list,
				$tag_list,
				get_permalink()
			);
		?>
		
		<?php edit_post_link( __( 'Edit', 'rootstrap' ), '<i class="fa fa-pencil-square-o"></i><span class="edit-link">', '</span>' ); ?>
		<?php pietergoosen_update_post_views(get_the_ID()); ?>
		<hr class="section-divider"></hr>
	</footer><!-- .entry-meta -->
			<style>
			.entry {margin-bottom: 10%;}
			</style>
			<?php tj_related_posts(); ?>

		<?php
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;
		?>

		<?php endwhile; // End of the loop. ?>
		<?php else : ?>

			<?php get_template_part( 'template-parts/content', 'none' ); ?>

		<?php endif; ?>

			<?php do_action('cleanblog_single_bottom'); ?>


			            </section>
			<?php get_sidebar(); ?>
        </div>
		<!-- /.container -->

<?php get_footer(); ?>
