<?php
/**
*Template Name: Servislerimiz
*/
get_header(); ?>

  <section class="food_section layout_padding-bottom">
    <div class="services-container">
	      <div class="heading_container heading_center">
     
      </div>
	  
	<ul class="filters_menu">
		<li class="active" data-filter="*">Hepsi</li>
			<?php
			$args = array(
			'hide_empty' => 0
			);

			$skills = get_terms('kategoriler', $args);

			foreach ( $skills as $skill ) :	?>
	<li data-filter=".<?php echo $skill->slug; ?>" class="<?php echo $skill->slug; ?>"><?php echo $skill->name; ?></li>

		<?php endforeach; ?>
	</ul>
	  
      <div class="filters-content">

        <div class="services-row grid">
		<!--start loop -->
		<?php 
          $temp = $wp_query;
          $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
          $post_per_page = 100; // -1 shows all posts
          $args=array(
            'post_type' => 'yemekler',
            'orderby' => 'date',
            'order' => 'ASC',
            'paged' => $paged,
            'posts_per_page' => $post_per_page
          );
            $wp_query = new WP_Query($args); 

            if( have_posts() ) : while ($wp_query->have_posts()) : $wp_query->the_post();
            
         ?>
  <?php $terms = get_the_terms( $post->ID, 'kategoriler' ); $first_term = $terms[0]; ?> 
<div class="col-sm-six col-lg-four all <?php echo $first_term->slug; ?>">
            <div class="box">
              <div>
                <div class="img-box">
				<?php $yemekler_img_url = get_the_post_thumbnail_url(get_the_ID('yemekler'),'full');  ?>
                  <img src="<?php echo $yemekler_img_url; ?>" alt="">
                </div>
                <div class="detail-box">
                  <h5>
                     <?php the_title(); ?></a>
                  </h5>
				  <p>
					<?php
					$content = get_the_excerpt();
					echo wp_trim_words( $content , '6' );
					?>
					</p>
                  <div class="options">
                    <h6>
                      				<?php 
				$product_fiyat = get_post_meta( $post-> ID, '_foody_product_fiyat', true);
				if( $product_fiyat) :?>  
                <strong class="price">&#8378;<?php echo $product_fiyat; ?></strong>
				<?php endif ?>
                    </h6>
					
			<?php
            $product_uri = get_post_meta( $post->ID, '_foody_product_uri', true );
            if ( $product_uri ) : ?>
                    <a href="<?php echo $product_uri; ?>"><i class="fa fa-shopping-cart"></i></a>
					<?php endif ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
		  <?php endwhile; else: ?>
        <?php endif; wp_reset_query(); $wp_query = $temp ?>
        </div><!-- row grid -->
      </div><!-- filters-content -->
    </div>
  </section>
  <?php get_footer(); ?>